'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _tooltip = require('antd/lib/tooltip');

var _tooltip2 = _interopRequireDefault(_tooltip);

require('antd/lib/tooltip/style/css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// import { Tooltip } from 'antd';
var Ellipsis = function Ellipsis(_ref) {
  var max = _ref.max,
      title = _ref.title,
      alwaysShow = _ref.alwaysShow;

  if (!title) {
    return _react2.default.createElement('span', null);
  }
  if (alwaysShow || !(max > 0)) {
    return _react2.default.createElement(
      _tooltip2.default,
      { title: title },
      title
    );
  }
  if (title.length <= max) {
    return _react2.default.createElement(
      'span',
      null,
      title
    );
  }
  return _react2.default.createElement(
    _tooltip2.default,
    { title: title, placement: 'right' },
    title.substring(0, max) + '...'
  );
};

exports.default = Ellipsis;