'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _form = require('antd/lib/form');

var _form2 = _interopRequireDefault(_form);

require('antd/lib/form/style/css');

var _label = require('../label');

var _label2 = _interopRequireDefault(_label);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }
// import { Form } from 'antd';


var FormItem = _form2.default.Item;
var FormLabel = function FormLabel(_ref) {
  var init = _ref.init,
      labelCol = _ref.labelCol,
      wrapperCol = _ref.wrapperCol,
      label = _ref.label,
      labelPorps = _objectWithoutProperties(_ref, ['init', 'labelCol', 'wrapperCol', 'label']);

  return _react2.default.createElement(
    FormItem,
    { label: label, labelCol: labelCol, wrapperCol: wrapperCol },
    _react2.default.createElement(
      _label2.default,
      labelPorps,
      init
    )
  );
};

exports.default = FormLabel;