'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _modal = require('antd/lib/modal');

var _modal2 = _interopRequireDefault(_modal);

require('antd/lib/modal/style/css');

var _button = require('antd/lib/button');

var _button2 = _interopRequireDefault(_button);

require('antd/lib/button/style/css');

require('./index.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }
// import { Modal, Button } from 'antd';


var DDModal = function DDModal(_ref) {
  var children = _ref.children,
      modalType = _ref.modalType,
      modalProps = _objectWithoutProperties(_ref, ['children', 'modalType']);

  var footer = [];
  if (modalType === 'detail') {
    footer.push(_react2.default.createElement(
      _button2.default,
      { key: 'back', type: 'ghost', onClick: modalProps.onCancel },
      '\u5173\u95ED'
    ));
    modalProps = _extends({
      wrapClassName: 'vertical-center-modal'
    }, modalProps, {
      footer: footer
    });
  } else {
    modalProps = _extends({
      wrapClassName: 'vertical-center-modal'
    }, modalProps);
  }

  return _react2.default.createElement(
    _modal2.default,
    modalProps,
    children
  );
};

exports.default = DDModal;