'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _table = require('antd/lib/table');

var _table2 = _interopRequireDefault(_table);

require('antd/lib/table/style/css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }
// import { Table } from 'antd';


var DDTable = function DDTable(_ref) {
  var page = _ref.page,
      showScroll = _ref.showScroll,
      showIndex = _ref.showIndex,
      tableProps = _objectWithoutProperties(_ref, ['page', 'showScroll', 'showIndex']);

  var current = tableProps.pagination && (tableProps.pagination.current || 1);
  var pageSize = tableProps.pagination && (tableProps.pagination.pageSize || 10);
  var total = tableProps.pagination && (tableProps.pagination.total || 0);

  if (showIndex) {
    tableProps.columns.unshift({
      title: '序号',
      dataIndex: 'columnIndex',
      width: 60,
      align: 'center',
      render: function render(text, row, index) {
        if (tableProps.pagination) {
          return (current - 1) * pageSize + index + 1;
        }
        return index + 1;
      }
    });
  }

  // 生成key，aligin属性
  for (var i = 0; i < tableProps.columns.length; i++) {
    var col = tableProps.columns[i];
    col.key = i;
    if (!col.align) {
      col.align = 'center';
    }
  }

  var newTableProps = _extends({}, tableProps, {
    pagination: tableProps.pagination && total > pageSize ? tableProps.pagination : false,
    rowKey: tableProps.rowKey ? tableProps.rowKey : function (record, index) {
      return index;
    },
    size: tableProps.size ? tableProps.size : 'small',
    bordered: tableProps.bordered !== undefined ? tableProps.bordered : true
    // scroll: showScroll ? { x: 1024 } : {},
  });
  return _react2.default.createElement(_table2.default, newTableProps);
};

exports.default = DDTable;