'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _input = require('antd/lib/input');

var _input2 = _interopRequireDefault(_input);

require('antd/lib/input/style/css');

var _label = require('../label');

var _label2 = _interopRequireDefault(_label);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }
// import { Input } from 'antd';


var TextArea = _input2.default.TextArea;

var DDTextarea = function (_PureComponent) {
  _inherits(DDTextarea, _PureComponent);

  function DDTextarea() {
    _classCallCheck(this, DDTextarea);

    return _possibleConstructorReturn(this, (DDTextarea.__proto__ || Object.getPrototypeOf(DDTextarea)).apply(this, arguments));
  }

  _createClass(DDTextarea, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          _props$editable = _props.editable,
          editable = _props$editable === undefined ? true : _props$editable,
          _props$autosize = _props.autosize,
          autosize = _props$autosize === undefined ? true : _props$autosize,
          inputPorps = _objectWithoutProperties(_props, ['editable', 'autosize']);

      if (!editable) {
        return _react2.default.createElement(
          _label2.default,
          null,
          inputPorps.value
        );
      }
      return _react2.default.createElement(TextArea, _extends({ autosize: autosize }, inputPorps, { autoComplete: 'off' }));
    }
  }]);

  return DDTextarea;
}(_react.PureComponent);

exports.default = DDTextarea;